#ifndef EQUATIONAREA_H
#define EQUATIONAREA_H

#include <QScrollArea>

class QDragEnterEvent;
class QDropEvent;

class EquationArea : public QScrollArea
{
    Q_OBJECT
public:
    explicit EquationArea(QWidget *parent = 0);
    
signals:
    void dropped(const QString& filename);
    
protected:
    void dragEnterEvent(QDragEnterEvent *event);
    void dropEvent(QDropEvent *event);
};

#endif // EQUATIONAREA_H
